## CamelMimeFilterCRLF

CamelMimeFilterCRLF

## Functions

CamelMimeFilter * | camel_mime_filter_crlf_new ()
void | camel_mime_filter_crlf_set_ensure_crlf_end ()
gboolean | camel_mime_filter_crlf_get_ensure_crlf_end ()

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterCRLF

## Description

## Functions

### camel_mime_filter_crlf_new ()

    CamelMimeFilter *
    camel_mime_filter_crlf_new (CamelMimeFilterCRLFDirection direction,
                                CamelMimeFilterCRLFMode mode);

Create a new CamelMimeFilterCRLF object.

#### Parameters

direction | encode vs decode |
mode | whether or not to perform SMTP dot-escaping |

#### Returns

a new CamelMimeFilterCRLF object

### camel_mime_filter_crlf_set_ensure_crlf_end ()

    void
    camel_mime_filter_crlf_set_ensure_crlf_end
                                   (CamelMimeFilterCRLF *filter,
                                    gboolean ensure_crlf_end);

When set to true, the filter will ensure that the output stream will end with CRLF, in case it does not. The default is to not do that. The option is used only when encoding the stream.

#### Parameters

filter | a CamelMimeFilterCRLF |
ensure_crlf_end | value to set |

Since: 3.42

### camel_mime_filter_crlf_get_ensure_crlf_end ()

    gboolean
    camel_mime_filter_crlf_get_ensure_crlf_end
                                   (CamelMimeFilterCRLF *filter);

#### Parameters

filter | a CamelMimeFilterCRLF |

#### Returns

whether the filter will ensure that the output stream will end with CRLF

Since: 3.42